### Method

# Gtk TreeViewColumnset_widget

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_column_set_widget (
      GtkTreeViewColumn* tree_column,
      GtkWidget* widget
    )

#### Description [src]

Sets the widget in the header to be `widget`. If widget is `NULL`, then the header button is set with a `GtkLabel` set to the title of `tree_column`.

Deprecated since: 4.10

Use GtkColumnView instead.

Sets property | `Gtk.TreeViewColumn:widget`

#### Parameters

`widget`

  Type: `GtkWidget`

  A child `GtkWidget`

  The argument can be `NULL`.
  The data is owned by the caller of the method.